## jxtray
Class Messages

    java.lang.Object
      jxtray.Messages

public class Messages
extends java.lang.Object

Author:
  Jean-Yves Beaujean Messages class use JOptionPane functions to show messages (error, info, warning,...) to screen

Constructor Summary
`Messages()`

Method Summary
`static java.lang.String` `chooseFile(CustomFileFilter fileFilter)`
`static java.lang.String` `chooseFile(CustomFileFilter[] fileFilter)`
`static void` `error(java.lang.String msg)` Show an error message contains `msg String`
`static void` `info(java.lang.String msg)` Show an information message contains `msg String`
`static java.lang.String` `input(java.lang.String msg)`
`static int` `question(java.lang.String msg)` Show a question message contains `msg String`
`static void` `warning(java.lang.String msg)` Show a warning message contains `msg String`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### info

    public static void info(java.lang.String msg)

  Show an information message contains `msg String`

### error

    public static void error(java.lang.String msg)

  Show an error message contains `msg String`

### question

    public static int question(java.lang.String msg)

  Show a question message contains `msg String`

  Returns:
    int JOptionPane response.

### warning

    public static void warning(java.lang.String msg)

  Show a warning message contains `msg String`

### input

    public static java.lang.String input(java.lang.String msg)

### chooseFile

    public static java.lang.String chooseFile(CustomFileFilter fileFilter)

### chooseFile

    public static java.lang.String chooseFile(CustomFileFilter[] fileFilter)